osg::PushPopValue Class Reference

`#include <NodeVisitor>`

## Public Member Functions

template<typename T>
| PushPopValue (NodeVisitor *nv, const Referenced *key, const T &value)
template<typename T>
| PushPopValue (ValueStack *valueStack, const Referenced *key, const T &value)
| ~PushPopValue ()

## Protected Attributes

ValueStack * | _valueStack
const Referenced * | _key

## Constructor & Destructor Documentation

## PushPopValue() [1/2]

template<typename T>

osg::PushPopValue::PushPopValue | ( | NodeVisitor * | nv,
|  | const Referenced * | key,
|  | const T & | value )

inline

References _key, _valueStack, and osg::NodeVisitor::getOrCreateValueStack().

## PushPopValue() [2/2]

template<typename T>

osg::PushPopValue::PushPopValue | ( | ValueStack * | valueStack,
|  | const Referenced * | key,
|  | const T & | value )

inline

References _key, and _valueStack.

## ~PushPopValue()

osg::PushPopValue::~PushPopValue | ( |  | ) |

inline

References _key, and _valueStack.

## Member Data Documentation

## _key

const Referenced* osg::PushPopValue::_key

protected

Referenced by PushPopValue(), PushPopValue(), and ~PushPopValue().

## _valueStack

ValueStack* osg::PushPopValue::_valueStack

protected

Referenced by PushPopValue(), PushPopValue(), and ~PushPopValue().

The documentation for this class was generated from the following file:

- NodeVisitor